addpath('data')
addpath('mfile')

%% Example 1: Chinese Lion

load('lion.mat');

% If you want to color your own mesh with curvature, please also run the following lines:
% FV.vertices = v;
% FV.faces = f;
% mean_curv_ori = patchcurvature(FV);
% mean_curv = mean_curv_ori;
% mean_curv(mean_curv_ori > mean(mean_curv_ori)+1*std(mean_curv_ori)) =  mean(mean_curv_ori)+1*std(mean_curv_ori);
% mean_curv(mean_curv_ori < mean(mean_curv_ori)-1*std(mean_curv_ori)) =  mean(mean_curv_ori)-1*std(mean_curv_ori);

% If you wish to view the meshes without texture, please use the following:
% plot_mesh(v',f');

plot_mesh(v',f',mean_curv); view([0 90]);
title('Input Mesh')

vmap = lineardiskmap(v,f);

plot_mesh(vmap',f',mean_curv); view([-130 90]);
title('Linear Disk Conformal Parameterization of the Input Mesh')

%% Example 2: Bunny

load('bunny.mat')

plot_mesh(v',f',mean_curv); view([0 90]);
title('Input Mesh')

vmap = lineardiskmap(v,f);

plot_mesh(vmap',f',mean_curv); view([180 90]);
title('Linear Disk Conformal Parameterization of the Input Mesh')

%% Example 3: Hand

load('hand.mat')

plot_mesh(v',f',mean_curv); view([40 70]);
title('Input Mesh')

vmap = lineardiskmap(v,f);

plot_mesh(vmap',f',mean_curv); view([0 90]);
title('Linear Disk Conformal Parameterization of the Input Mesh')
